%ext ck5

%patchfile $21FC0 "EGAHEAD.CK5"            #New graphics
%patchfile $362C4 "EGADICT.CK5"            #Use KG graphics
%maphead maphead.ck5		#New levels
%patchfile $25B22 BWBKeen5.tli	#New tile properties

%patchfile $20cd7 ck5load.bin 

#This is the music played in each level:
#             VALUE   LEVEL                      MUSIC PLAYED            LEVEL No
%patch $3067A $0B $00 #Map                       (World map)               0
              $00 $00 #Ion Ventilation System    ()                        1
              $00 $00 #Security Center           ()                        2
              $00 $00 #Defense Tunnel Vlook      ()                        3
              $00 $00 #Energy Flow Systems       ()                        4
              $00 $00 #Defense Tunnel Burrh      ()                        5
              $00 $00 #Regulation Control Center ()                        6
              $00 $00 #Defense Tunnel Sorra      ()                        7
              $00 $00 #Neutrino Burst Injector   ()                        8
              $00 $00 #Defense Tunnel Teln       ()                        9
              $00 $00 #Brownian Motion Inducer   ()                        10
              $00 $00 #Gravitational Damping Hub ()                        11
              $00 $00 #Quantum Explosion Dynamo  ()                        12
              $00 $00 #Korath III Base           ()                        13
              $06 $00 #BWBMegarocket             (Unknown Song)            14
              $00 $00 #High Scores               (High Scores)             15
%patch $3069C $00 $00 #Scrolling Story           (Armageddon Machine)
              $00 $00 #Game Over                 (Came In)
              $00 $00 #Help                      (Help)
              
%patch $204A0 "Keen will be" $0A "in the BWBMegarocket" $00

#Disable all cheats
%patch $7A79 $EB
%patch $8260 $EB
%patch $77EE $EB $6D

#BwB levels: all levels above 17
%patch $60B3 $05 $77

#Disable END cheat code
%patch $908D $EB $19

#Disable help
%patch $3F09  $EB     #Unknown, initiation screen?
%patch $51A5  $EB     #During terminator text
%patch $78EB  $EB     #In game levels
%patch $1DE75 $90 $90 #In Main Menu

#Skip demos, highscore demo and story screen
%patch $3CB3 $0442W #3C18: Terminator sequence and title screen
%patch $3CB5 $04CBW #3C2F: Demo 1
%patch $3CB7 $04CBW #3C3C: Star wars story
%patch $3CB9 $04CBW #3C43: Demo 2
%patch $3CBB $04CBW #3C51: High score demo
%patch $3CBD $04CBW #3C58: Demo 3
%patch $3CBF $04CBW #3C66: Demo 4

#Don't play highscore demo when a game is quit or new high score is obtained - Keen 5
%patch $3C77 $90 $90 $90 $90 $90

#Unlimited ammo
%patch $DC9D $EB $12

%end